class ProcedureValadteModel {
  List<EntityList>? entityList;
  int? rowcount;
  dynamic statusMessage;
  dynamic success;

  ProcedureValadteModel({this.entityList, this.rowcount, this.statusMessage, this.success});

  ProcedureValadteModel.fromJson(Map<String, dynamic> json) {
    if (json['entityList'] != null) {
      entityList = <EntityList>[];
      json['entityList'].forEach((v) {
        entityList!.add(new EntityList.fromJson(v));
      });
    }
    rowcount = json['rowcount'];
    statusMessage = json['statusMessage'];
    success = json['success'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    if (this.entityList != null) {
      data['entityList'] = this.entityList!.map((v) => v.toJson()).toList();
    }
    data['rowcount'] = this.rowcount;
    data['statusMessage'] = this.statusMessage;
    data['success'] = this.success;
    return data;
  }
}

class EntityList {
  String? procedureId;
  List<String>? warringMessages;

  EntityList({this.procedureId, this.warringMessages});

  EntityList.fromJson(Map<String, dynamic> json) {
    procedureId = json['procedureId'];
    warringMessages = json['warringMessages'].cast<String>();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['procedureId'] = this.procedureId;
    data['warringMessages'] = this.warringMessages;
    return data;
  }
}
